/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.enums.EnumScaleLevel;
import de.ship.db.tables.TCoreVariable;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreVariableRecord extends UpdatableRecordImpl<TCoreVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_variable.pk_core_variable</code>.
     */
    public void setPkCoreVariable(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.pk_core_variable</code>.
     */
    public Integer getPkCoreVariable() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.key_variable</code>.
     */
    public void setKeyVariable(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.key_variable</code>.
     */
    public Integer getKeyVariable() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.fk_var_valuelist</code>.
     */
    public void setFkVarValuelist(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.fk_var_valuelist</code>.
     */
    public Integer getFkVarValuelist() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.fk_missinglist</code>.
     */
    public void setFkMissinglist(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.fk_missinglist</code>.
     */
    public Integer getFkMissinglist() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.fk_unit</code>.
     */
    public void setFkUnit(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.fk_unit</code>.
     */
    public Integer getFkUnit() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.scale_level</code>.
     */
    public void setScaleLevel(EnumScaleLevel value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.scale_level</code>.
     */
    public EnumScaleLevel getScaleLevel() {
        return (EnumScaleLevel) get(6);
    }

    /**
     * Setter for <code>common_dd.t_core_variable.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(7);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreVariableRecord
     */
    public TCoreVariableRecord() {
        super(TCoreVariable.T_CORE_VARIABLE);
    }

    /**
     * Create a detached, initialised TCoreVariableRecord
     */
    public TCoreVariableRecord(Integer pkCoreVariable, Integer keyVariable, Integer fkVarValuelist, Integer fkMissinglist, LocalDateTime lastchange, Integer fkUnit, EnumScaleLevel scaleLevel, EnumDatatype dataType) {
        super(TCoreVariable.T_CORE_VARIABLE);

        setPkCoreVariable(pkCoreVariable);
        setKeyVariable(keyVariable);
        setFkVarValuelist(fkVarValuelist);
        setFkMissinglist(fkMissinglist);
        setLastchange(lastchange);
        setFkUnit(fkUnit);
        setScaleLevel(scaleLevel);
        setDataType(dataType);
        resetChangedOnNotNull();
    }
}
